%define module_name App-VTide
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Array/Utils.pm) perl(File/chdir.pm) perl(Getopt/Alt.pm) perl(Hash/Merge/Simple.pm) perl(IO/Prompt.pm) perl(List/MoreUtils.pm) perl(List/Util.pm) perl(Module/Build.pm) perl(Module/Pluggable.pm) perl(Moo.pm) perl(Path/Tiny.pm) perl(Pod/Usage.pm) perl(Scalar/Util.pm) perl(Term/Title.pm) perl(Test/Kwalitee.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Spelling.pm) perl(Test/Warnings.pm) perl(Throwable/Error.pm) perl(Tie/Handle/Scalar.pm) perl(YAML/Syck.pm) perl(version.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.1.10
Release: alt1
Summary: A vim/tmux based IDE for the terminal
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/I/IV/IVANWILLS/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
VTide provides a way to manage the tmux manpage sessions. It allows for an easy way
to configure a session window and run programs or open files for editing
in them. The aim is to allow for easy project setup and management for
projects managed on the command line. the App::VTide manpage also includes helpers
for loading files into editors (such as vim) in separate tmux terminals.
This can help to open pre-defined groups of files.

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes TODO.md LICENSE README.pod example
%perl_vendor_privlib/A*
%_bindir/*

%changelog
* Wed May 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.1.10-alt1
- updated by package builder

* Wed Apr 03 2019 Igor Vlasenko <viy@altlinux.ru> 0.1.9-alt1
- updated by package builder

* Tue Mar 05 2019 Igor Vlasenko <viy@altlinux.ru> 0.1.8-alt1
- updated by package builder

* Mon Jan 14 2019 Igor Vlasenko <viy@altlinux.ru> 0.1.7-alt1
- regenerated from template by package builder

* Fri Dec 21 2018 Igor Vlasenko <viy@altlinux.ru> 0.1.6-alt1
- initial import by package builder

